Package org.h2gis.functions.spatial.convert

# Enum ST_GoogleMapLink.LayerType

java.lang.Object
java.lang.Enum<ST_GoogleMapLink.LayerType>
org.h2gis.functions.spatial.convert.ST_GoogleMapLink.LayerType

All Implemented Interfaces:
  `Serializable`, `Comparable<ST_GoogleMapLink.LayerType>`, `java.lang.constant.Constable`

Enclosing class:
  ST_GoogleMapLink

public static enum ST_GoogleMapLink.LayerType extends Enum<ST_GoogleMapLink.LayerType>
List of supported layers for Google Map

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`h`
`k`
`m`
`p`

## Method Summary

Modifier and Type
Method
Description
`static ST_GoogleMapLink.LayerType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ST_GoogleMapLink.LayerType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### m

public static final ST_GoogleMapLink.LayerType m

### k

public static final ST_GoogleMapLink.LayerType k

### h

public static final ST_GoogleMapLink.LayerType h

### p

public static final ST_GoogleMapLink.LayerType p

## Method Details

### values

public static ST_GoogleMapLink.LayerType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ST_GoogleMapLink.LayerType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null